System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.WebControl System.Web.UI.IDataItemContainer System.ComponentModel.ToolboxItem("")

A object represents an item in a control, such as a heading section, a footer section, or a data item.

The data items in the control are stored in a that can be accessed by using the property of the control.

You can use a to programmatically access the properties of an item in a control.

Represents an item in a control.

- Constructor

  Use this constructor to create and initialize a new instance of the class.

  Initializes a new instance of the class.

  The index of the item in the control from the collection.
  One of the values.
  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.WebControls.Style

  This method is primarily used by control developers, when extending the functionality of the control.

  Creates a object for the control, which contains the style properties for the control.

  A that contains the style properties of the control.

  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  Use the property to specify or determine the properties of a data item associated with the object in the control.

  This property only applies to data items in the control. The property of the object must be set to one of the enumeration values.

  Gets or sets a data item associated with the object in the control.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to determine the index number of the object from the collection.

  This property only applies to data items in the control. The property of the object must be set to ListItemType.Item, ListItemType.AlternatingItem, ListItemType.SelectedItem, or ListItemType.EditItem.

  Gets the index of the object from the collection of the control.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.WebControls.ListItemType To be added: an object of type 'ListItemType'

  Use the property to determine the type of the item represented by the object. The following table lists the various item types.

  Item Type

  Description

  Header

  The heading section of the control.

  Footer

  The footer section of the control.

  Item

  An item in the control.

  AlternatingItem

  An alternating item in the control.

  SelectedItem

  The selected item in the control.

  EditItem

  The item selected for editing in the control.

  Separator

  A separator between the items of the control.

  Pager

  The page selection section of the control.

  Gets the type of the item represented by the object in the control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  This method is used primarily by control developers when extending the functionality of the control.

  Determines whether the event for the control is passed up the server control hierarchy.

  true if the event has been canceled; otherwise, false.

  The source of the event. An object that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Use the method to display the object on the client.

  Displays the object on the client.

  A object that contains the output stream for rendering on the client. true to extract rows; otherwise false. true to display as a table; otherwise false. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This method is used primarily by control developers when extending the functionality of a control.

  Sets the current property for the control.

  A value.
- Property
  2.0.0.0
  System.Object To be added.

  Typically, you should use the property to retrieve the data object for a object.

  The member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Int32 To be added.

  Typically, you should use the property to retrieve the data-item index for a object.

  The member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Int32 To be added.

  Typically, you should use the property to retrieve the data-item index for a object.

  The member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .